%global momorel 1

Summary: 	various gtk widgets for xfce
Name: 		libxfcegui4
Version: 	4.2.3
Release: 	%{momorel}m
License:	LGPL
URL: 		http://www.xfce.org/
Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.gz
NoSource:       0
Group: 		Development/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	gtk+-devel >= 2.4.0
BuildRequires: 	libxml2-devel
BuildRequires: 	pkgconfig
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:  gtk-doc
BuildRequires:  dbh

%description
Various gtk widgets for xfce.

%package devel
Summary:	developpment tools for libxfcegui4 library
Group:		Development/Libraries
Requires:	libxfcegui4 = %{version}

%description devel
Static libraries and header files for the libxfcegui4 library.

%prep
%setup -q

%build
%configure --enable-xinerama
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/xfce4/modules/*
%{_datadir}/locale/*/*/*
%{_datadir}/xfce4/mime/*
%{_datadir}/xfce4/xfce-svg-test.svg

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/libxfcegui4
%{_includedir}/xfce4/xfce4-modules
%{_datadir}/gtk-doc/html/libxfcegui4
%{_datadir}/xfce4/hicolor-index.theme

%changelog
* Mon Nov 21 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.2.3-1m)
- Xfce 4.2.3.2

* Tue Nov  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (4.2.2-2m)
- apply taskbar overflow patch <http://bugs.gentoo.org/show_bug.cgi?id=102912>

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.2-1m)
- Xfce 4.2.2

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1-1m)                                                   
- Xfce 4.2.1

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.0-1m)                                                   
- Xfce 4.2

* Sat Dec 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.3-1m)
- Xfce 4.2-RC3

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.99.2-1m)
- Xfce 4.2-RC2

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.1-1m)
- Xfce 4.2-RC1

* Mon Nov  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.91-1m)
- Xfce 4.2BETA2

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.90-1m)
- update to 4.1.90

* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)
- minor bugfixes

* Sun Jul 11 2004 Ryu SASAOKA <ryu@momonga-linux.org>
-(4.0.5-2m)
- add xfce4-icon-size.patch

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
-(4.0.5-1m)
- version update to 4.0.5.

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-3m)
- rebuild against for gtk+-2.4.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-2m)
- rebuild against for libxml2-2.6.8

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-1m)

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-1m)
- version up to 4.0.3

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1-1m)
- version up to 4.0.1

* Fri Sep 26 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (4.0.0-1m)
- version up

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.99.4-1m)
- XFce4 RC4 release
